#!/bin/bash

. lib.sh

main() {
    pid=$(sshgw 'chrt -f 90 candump -s2 -b can1 can0 & echo $!')
    latester -d can0 -d can1 -d can2 -c $COUNT $(traffic_and_length 2) -n user2
    latester -d can0 -d can1 -d can2 -c $COUNT $(traffic_and_length 8) -n user8
    sshgw kill $pid
    sshgw cangw -A -s can0 -d can1
    latester -d can0 -d can1 -d can2 -c $COUNT $(traffic_and_length 2) -n kern2
    latester -d can0 -d can1 -d can2 -c $COUNT $(traffic_and_length 8) -n kern8
}

plot_cmds() {
    cat <<EOF
set title "Kernel vs. userspace GW, no modifications"
set logscale y
set grid
set xlabel "Time [ms]"
set ylabel "Latency profile [messages]"
plot [0:] [1:$COUNT] \
          "kern2-hist.txt" with lp lt 1 title "Kernel GW, 2 byte messages", \
          "kern8-hist.txt" with lp lt 2 title "Kernel GW, 8 byte messages", \
          "user2-hist.txt" with lp lt 1 title "Userspace GW, 2 byte messages", \
          "user8-hist.txt" with lp lt 2 title "Userspace GW, 8 byte messages"
EOF
}
    
test_end
    
